summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl5
-rwxr-xr-xMaster/tlpkg/bin/tlpkg-ctan-check4
2 files changed, 9 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 600c7ff6f08..8f852e12bcd 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -86,6 +86,11 @@ fi
fi # end of copying from CTAN.
+# clean up the tmpdir possibly created by 'tlpkginfo --prepare'
+ctan_root=`tlpkginfo --ctan-root`
+if ! echo "$ctan_dir1" | egrep "^$ctan_root" >/dev/null; then
+ rm -rf $ctan_dir1
+fi
#
printf "\n$0: calling ctan2tds\n"
diff --git a/Master/tlpkg/bin/tlpkg-ctan-check b/Master/tlpkg/bin/tlpkg-ctan-check
index 03997643f44..e8986795520 100755
--- a/Master/tlpkg/bin/tlpkg-ctan-check
+++ b/Master/tlpkg/bin/tlpkg-ctan-check
@@ -325,6 +325,10 @@ sub do_tlp
if $OPT{"verbose"};
}
+ # clean up the tmpdir possibly created when invoking 'tlpkginfo --prepare'
+ chomp (my $ctan_root = `tlpkginfo --ctan-root`);
+ system ("rm -rf $ctan_dir") unless ($ctan_dir =~ m#^$ctan_root#);
+
return $needed;
}